k3s/hack/test-integration.sh

51 lines
1.2 KiB
Bash
Raw Normal View History

2014-06-06 23:40:48 +00:00
#!/bin/bash
# Copyright 2014 Google Inc. All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
2014-08-23 01:12:16 +00:00
source $(dirname $0)/util.sh
2014-06-06 23:40:48 +00:00
2014-08-23 01:12:16 +00:00
function cleanup()
{
set +e
kill ${ETCD_PID} 1>&2 2>/dev/null
rm -rf ${ETCD_DIR} 1>&2 2>/dev/null
echo
echo "Complete"
}
2014-06-06 23:40:48 +00:00
# Stop right away if the build fails
set -e
$(dirname $0)/build-go.sh cmd/integration
2014-06-06 23:40:48 +00:00
2014-08-23 01:12:16 +00:00
start_etcd
2014-08-23 01:12:16 +00:00
trap cleanup EXIT SIGINT
2014-06-06 23:40:48 +00:00
2014-08-23 01:12:16 +00:00
echo
echo Integration test cases ...
echo
GOFLAGS="-tags 'integration no-docker'" \
$(dirname $0)/../hack/test-go.sh test/integration
2014-08-23 01:12:16 +00:00
# leave etcd running if integration tests fail
trap "echo etcd still running" EXIT
2014-06-06 23:40:48 +00:00
2014-08-23 01:12:16 +00:00
echo
echo Integration scenario ...
echo
$(dirname $0)/../_output/go/bin/integration
2014-06-06 23:40:48 +00:00
2014-08-23 01:12:16 +00:00
# nuke etcd
trap cleanup EXIT SIGINT